<?php
include($cms['tngpath'] . "surname_cloud.class.php");
$flags['noicons'] = true;
$flags['noheader'] = false;
$flags['nomobile'] = false;
$flags['homeclass'] = "template";
tng_header($sitename ? "" : $text['mnuheader'], $flags);
?>
    <table class="contentTable">
      <tr>
        <!-- BEGIN: Content - Navigation -->
        <?php 
          include($cms['tngpath'] . "templates/NearDark2/navigation.php");
        ?>
        <!-- END: Content - Navigation -->
        <!-- BEGIN: Content - My Demo -->
        <td id="contentFeatBox">
          <table cellspacing="0" class="contentRowLast tablesaw tablesaw-swipe" data-tablesaw-mode="swipe">
            <thead>
              <tr>
                <th class="crush" scope="col" data-tablesaw-priority="3"/>
                <th class="crush" scope="col" data-tablesaw-priority="3"/>
              </tr>
            </thead>
            <tbody>
            <!-- BEGIN: Content (row 1) -->
            <tr>
              <td class="contentFeat2Col">
                <!-- Example Alternate  -->
                <div class="featBox thFeatBox">
                  <div class="featTitle">
                    <span class="titleLg"><?php echo 'Support for New Pages With Template Look-and-Feel'; ?></span>
                  </div>
                  <p>eGenea templates have a built in system that supports additional
                    pages with the same look-and-feel as the homepage
                    (i.e., <i>index.php)</i>.  An example page (this page), formatted
                    for two-column content instead of three, can be found in the top-level
                    folder of the <i>NearDark2</i>, <i>NearDawn2</i>, <i>DayLight</i>,
                    and <i>NightLight</i> templates.  This demonstration page is named
                    <i>features.php</i>.
                  </p>
                  <p>To enable this page, follow these steps:</p>
                  <ol>
                    <li>In the template subfolder, <i>etc</i>, there is a file named
                      <i>features.php</i>.  This is a 'scaffold' or 'wrapper' file.  Copy
                      this file to your site's top-level folder.</li>
                    <li>In your template's folder check file <i>topmenu.php</i>
                      to ensure that there is an entry for 'features.php' in the switch
                      statement beginning at or around line 84.  The presence of that
                      case supports rendering page <i>features.php</i> with the same 
                      look-and-feel as the homepage.</li>
                  </p>
                </div>
              </td>
              <td class="contentFeatLastCol">
                <!-- Example Copyright and Warranty Disclaimer -->
                <div class="featBox thFeatBox">
                  <div class="featTitle">
                    <span class="titleLg"><?php echo 'Creating New Pages With Template Look-and-Feel'; ?></span>
                  </div>
                  <ol>
                    <li>Create a new page using <i>index.php</i>, in your template's top-level folder, 
                      as an example.  Note the name of your new page.  (In these instructions we'll 
                      use 'demo.php' as the name of the new page.)</li>
                    <li>In the template subfolder, <i>etc</i>, make a copy of the file
                      <i>features.php</i> and name it 'demo.php'.</li>
                    <li>On or about line 8 of the file you just created, where it reads
                    'features.php', change it to read 'demo.php'.</li>
                    <li>Move the new file to the site's top-level folder.</li>
                    <li>Add a case statement to <i>topmenu.php</i>, for <i>demo.php</i>
                      just after the similar case statement for <i>index.php</i> at or below line 85.</li>
                  </p>
                </div>
              </td>
              <!-- END: ToS (column 2) -->
            </tr>
          </table>
        </td>
        <!-- END: Content - My Demo -->
      </tr>
    </table>
<?php 
  $flags['basicfooter'] = false;
  echo tng_footer($flags); 
?>
